=== debian/changelog ===
seafile-client (6.2.11-1) unstable; urgency=medium

  * New upstream version 6.2.11
  * Update Standards-Version

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 29 Jan 2019 20:19:41 +0100
