=== debian/control ===
Source: seafile-client
Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
Section: net
Priority: optional
Build-Depends:
 cmake,
 debhelper (>= 10),
 intltool,
 libcurl4-openssl-dev,
 libevent-dev,
 libglib2.0-dev,
 libjansson-dev,
 libquazip5-dev,
 libseafile-dev (>= 6.2.0),
 libsearpc-dev (>= 3.1.0),
 libsqlite3-dev,
 libssl-dev,
 libtool,
 qtbase5-dev,
 qtchooser,
 qttools5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
 libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
 uuid-dev,
Standards-Version: 4.3.0
Homepage: http://seafile.com
Vcs-Browser: https://salsa.debian.org/debian/seafile-client
Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

Package: seafile-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libsearpc1 (>= 3.1.0),
 libseafile0 (>= ${source:Upstream-Version}),
 seafile-daemon (>= ${source:Upstream-Version}),
Suggests: seafile-cli
Description: Seafile Desktop Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the graphical Desktop Client for Seafile.
