## seafile-client 6.2.11.1+rb2

=== debian/changelog ===
seafile-client (6.2.11.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Seafile Team <team+seafile@tracker.debian.org>  Mon, 01 Feb 2021 16:13:35 +0800
