## seafile-client 7.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)
 
 PROJECT(seafile-client)
-SET(SEAFILE_CLIENT_VERSION_MAJOR 6)
-SET(SEAFILE_CLIENT_VERSION_MINOR 2)
-SET(SEAFILE_CLIENT_VERSION_PATCH 11)
+SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
+SET(SEAFILE_CLIENT_VERSION_MINOR 0)
+SET(SEAFILE_CLIENT_VERSION_PATCH 2)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
