=== debian/changelog ===
seafile-client (7.0.2-2) unstable; urgency=high

  * Fix versioned dependencies (Closes: #943789)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 30 Oct 2019 11:18:13 +0100

seafile-client (7.0.2-1) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * New upstream version 7.0.2
  * Drop upstreamed patch 0005
  * Update gitlab-ci.yml
  * Add patch for cli-help (Upstream PR#1223)
  * Update d/control

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 08 Oct 2019 15:07:37 +0200

seafile-client (6.2.9-2) unstable; urgency=medium

  * Add Patch from #988: Accept close event instead of ignoring it

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 10 Jan 2019 12:16:40 +0100
