=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 6.2.0),
+ libseafile-dev (>= 7),
  libsearpc-dev (>= 3.1.0),
  libsqlite3-dev,
  libssl-dev,
@@ -24,8 +24,8 @@
  qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
  libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.3.0
-Homepage: http://seafile.com
+Standards-Version: 4.4.1
+Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git
 
@@ -35,7 +35,7 @@
  libsearpc1 (>= 3.1.0),
  libseafile0 (>= ${source:Upstream-Version}),
  seafile-daemon (>= ${source:Upstream-Version}),
-Suggests: seafile-cli
+Suggests: seafile-cli (>= ${source:Upstream-Version})
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
