=== debian/changelog ===
seafile-client (7.0.5-1) unstable; urgency=medium

  * New upstream version 7.0.5
  * Refresh patches

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 14 Jan 2020 12:08:38 +0100

seafile-client (7.0.4-1) unstable; urgency=medium

  * New upstream version 7.0.4
  * Update dependency version searpc

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Nov 2019 10:56:49 +0100
