=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 7),
- libsearpc-dev (>= 3.1.0),
+ libseafile-dev (>= 7.0.4),
+ libsearpc-dev (>= 3.2.0),
  libsqlite3-dev,
  libssl-dev,
  libtool,
@@ -32,7 +32,7 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libsearpc1 (>= 3.1.0),
+ libsearpc1 (>= 3.2.0),
  libseafile0 (>= ${source:Upstream-Version}),
  seafile-daemon (>= ${source:Upstream-Version}),
 Suggests: seafile-cli (>= ${source:Upstream-Version})
