=== debian/changelog ===
seafile-client (7.0.6-1) unstable; urgency=medium

  * Add lintian override version-substvar-for-external-package
  * allow failure of piuparts, because missing ca-certificates
  * Update Standards-Version and use declarative dh
  * New upstream version 7.0.6

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 13 Feb 2020 09:56:25 +0100
