=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh $@ --builddirectory=build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='seafile-gui-dbg (<< 6.0.7-1)'
