=== debian/changelog ===
seafile-client (7.0.7-1) unstable; urgency=medium

  * New upstream version 7.0.7

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 12 May 2020 09:39:25 +0200
