=== debian/changelog ===
seafile-client (7.0.8-1) unstable; urgency=medium

  * Update QuaZip Patch (Closes: #963280)
  * New upstream version 7.0.8

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 08 Jul 2020 11:30:17 +0200
