## seafile-client 7.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 8)
+SET(SEAFILE_CLIENT_VERSION_PATCH 10)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 INCLUDE(FindPkgConfig)
@@ -42,6 +42,8 @@
 OPTION(BUILD_SHIBBOLETH_SUPPORT "Build Shibboleth support" OFF)
 
 option(BUILD_ENABLE_WARNINGS "Enable compiler warnings." ON)
+
+option(USE_QT_WEBKIT "Build use QT webkit" OFF)
 
 option(BUILD_SPARKLE_SUPPORT "Build Sparkle support" OFF)
 IF (BUILD_SPARKLE_SUPPORT)
@@ -164,7 +166,7 @@
     OUTPUT_VARIABLE DETECTED_QT_VERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE)
 MESSAGE("qt5 version: ${DETECTED_QT_VERSION}")
-IF(WIN32 OR DETECTED_QT_VERSION VERSION_LESS 5.6.0)
+IF(WIN32 OR USE_QT_WEBKIT)
     ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
     SET(WEBKIT_NAME "WebKit")
     SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
@@ -356,4 +358,3 @@
 IF(NOT WIN32 AND NOT APPLE)
   SET(CMAKE_THREAD_PREFER_PTHREAD ON)
   INCLUDE(FindThreads)
-  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
