=== debian/changelog ===
seafile-client (7.0.10-3) unstable; urgency=medium

  * Fix string concatenation in d/rules (Closes: #979571)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 08 Jan 2021 21:43:38 +0100

seafile-client (7.0.10-2) unstable; urgency=medium

  * Fix Cmake Flag for Webkit Usage

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 11 Nov 2020 13:42:28 +0100

seafile-client (7.0.10-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Moritz Schlarb ]
  * New upstream version 7.0.10
  * Refresh patches and add one to build against Qt 5.15
  * Update d/rules for new webkit flag

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 11 Nov 2020 12:45:36 +0100
