=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  intltool,
  libcurl4-openssl-dev,
  libevent-dev,
@@ -24,7 +24,7 @@
  qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
  libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git
