=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,38 @@
 
 export QT_SELECT=5
 
+CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
+
+include /usr/share/dpkg/architecture.mk
+
+ifeq ($(DEB_HOST_ARCH),armel)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),mips)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),mips64el)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),ppc64el)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),s390x)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),alpha)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),hppa)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),m68k)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),powerpc)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),ppc64)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),sh4)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+else ifeq ($(DEB_HOST_ARCH),sparc64)
+ CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
+endif
+
 %:
 	dh $@ --builddirectory=build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='seafile-gui-dbg (<< 6.0.7-1)'
+	dh_auto_configure -- $(CMAKE_FLAGS)
