## seafile-client 8.0.4

=== debian/changelog ===
seafile-client (8.0.4-1) unstable; urgency=medium

  * New upstream version 8.0.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 22 Sep 2021 21:40:42 +0200

seafile-client (8.0.3-1) unstable; urgency=medium

  * Bump debhelper, Standards-Version and watch standard
  * New upstream version 8.0.3
    * Add V4 encryption library support, which will be available in server 8.0
    * Upgrade Qt version to 5.15.1 (which supports TLS 1.3)
    * [Linux] Fix compatibility to new GLib versions
  * Drop QT 5.15 Patch

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 07 Sep 2021 10:30:22 +0200
