## seafile-client 8.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)
 
 PROJECT(seafile-client)
-SET(SEAFILE_CLIENT_VERSION_MAJOR 7)
+SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 10)
+SET(SEAFILE_CLIENT_VERSION_PATCH 5)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
+ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
 INCLUDE(FindPkgConfig)
 
 ## Build crash repoter on release build as default
@@ -291,6 +292,7 @@
   src/filebrowser/progress-dialog.h
   src/filebrowser/sharedlink-dialog.h
   src/filebrowser/seafilelink-dialog.h
+  src/filebrowser/uploadlink-dialog.h
   src/filebrowser/auto-update-mgr.h
   src/filebrowser/transfer-mgr.h
   src/filebrowser/thumbnail-service.h
@@ -355,6 +357,3 @@
 ###### BEGIN: pthread support is required explicitly on linux
 ####################
 
-IF(NOT WIN32 AND NOT APPLE)
-  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
-  INCLUDE(FindThreads)
