=== debian/changelog ===
seafile-client (8.0.5-1) unstable; urgency=medium

  * Fix some lintian warnings
  * New upstream version 8.0.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 22 Nov 2021 20:08:58 +0100
