=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/seafile-client-$1\.tar\.gz/ \
  https://github.com/haiwen/seafile-client/tags .*/v?(\d[\d.]*)\.tar\.gz
