## seafile-client 8.0.6+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 8)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 5)
+SET(SEAFILE_CLIENT_VERSION_PATCH 6)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
@@ -62,10 +62,8 @@
 MESSAGE("Build type: ${CMAKE_BUILD_TYPE}")
 
 ## build in PIC mode
-IF (NOT WIN32)
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
-ENDIF()
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
 
 ## Setup warnings ouput if enabled
 ## but don't warning on unsupported warnings
@@ -91,26 +89,7 @@
   endif()
 endif()
 
-IF (WIN32)
-    CONFIGURE_FILE(
-      ${CMAKE_SOURCE_DIR}/seafile-applet.rc.in
-      ${CMAKE_BINARY_DIR}/seafile-applet.rc
-    )
-    SET(EXTRA_LIBS ${EXTRA_LIBS} psapi ws2_32 shlwapi mpr crypt32)
-    SET(EXTRA_SOURCES ${EXTRA_SOURCES} ${CMAKE_BINARY_DIR}/seafile-applet.rc)
-    IF (${CMAKE_BUILD_TYPE} MATCHES Release)
-      SET(GUI_TYPE WIN32)
-    ENDIF()
-    SET(platform_specific_moc_headers ${platform_specific_moc_headers} src/ext-handler.h)
-    SET(platform_specific_sources ${platform_specific_sources} src/ext-handler.cpp)
-    IF (BUILD_SPARKLE_SUPPORT)
-      IF(NOT EXISTS "${CMAKE_SOURCE_DIR}/WinSparkle.lib")
-        message(FATAL_ERROR "File ${CMAKE_SOURCE_DIR}/WinSparkle.lib not found in current directory. Please setup winsparkle correctly." )
-      ENDIF()
-      SET(SPARKLE_LIBS ${CMAKE_SOURCE_DIR}/WinSparkle.lib)
-    ENDIF()
-
-ELSEIF (LINUX)
+IF (LINUX)
     INCLUDE_DIRECTORIES(${QT_QTDBUS_INCLUDE_DIR})
     LINK_DIRECTORIES(${QT_QTDBUS_LIBRARIES})
     SET(EXTRA_LIBS ${EXTRA_LIBS} ${QT_QTDBUS_LIBRARIES})
@@ -154,20 +133,19 @@
 ####################
 ###### BEGIN: QT configuration
 ####################
-SET(QT_VERSION_MAJOR 5)
-
-# Qt 5.6.0 removes QtWebKit, we need to use QtWebEnigne. First we detect the
-# current qt version, then use proper name based on the version. However we
-# have to keep using QtWebKit on windows because QtWebEngine can't be
-# compiled in msys2/mingw (QtWebEnigne is based on chrome, which has to be
-# compiled with MSVC.)
 FIND_PROGRAM(qmake_executable NAMES qmake qmake.exe)
 EXECUTE_PROCESS(COMMAND
     bash -c "${qmake_executable} --version | grep -iE '^using qt version [0-9.]+' | awk '{print $4}'"
     OUTPUT_VARIABLE DETECTED_QT_VERSION
     OUTPUT_STRIP_TRAILING_WHITESPACE)
-MESSAGE("qt5 version: ${DETECTED_QT_VERSION}")
-IF(WIN32 OR USE_QT_WEBKIT)
+MESSAGE("Qt version: ${DETECTED_QT_VERSION}")
+EXECUTE_PROCESS(COMMAND
+    bash -c "qmake --version|grep -iE '^using qt version [0-9]'|awk '{print $4}'|grep -iE '^[0-9]'|awk -F . '{print $1}'"
+    OUTPUT_VARIABLE QT_VERSION_MAJOR
+    OUTPUT_STRIP_TRAILING_WHITESPACE)
+MESSAGE("QT_VERSION_MAJOR: ${QT_VERSION_MAJOR}")
+
+IF(USE_QT_WEBKIT)
     ADD_DEFINITIONS(-DSEAFILE_USE_WEBKIT)
     SET(WEBKIT_NAME "WebKit")
     SET(WEBKIT_WIDGETS_NAME "WebKitWidgets")
@@ -178,11 +156,18 @@
     SET(SHIB_EXTRA_HEADER "src/shib/shib-helper.h")
 ENDIF()
 
-SET(USE_QT_LIBRARIES
-    Core Gui Widgets LinguistTools Network
-    )
+IF(QT_VERSION_MAJOR EQUAL 6)
+    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Core5Compat WebEngineCore WebEngineWidgets)
+ELSE()
+    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network)
+ENDIF()
+
 IF (BUILD_SHIBBOLETH_SUPPORT)
-    SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
+    IF(QT_VERSION_MAJOR EQUAL 6)
+        SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_WIDGETS_NAME})
+    ELSE()
+        SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} ${WEBENGINE_CORE} ${WEBKIT_NAME} ${WEBKIT_WIDGETS_NAME})
+    ENDIF()
     ADD_DEFINITIONS(-DHAVE_SHIBBOLETH_SUPPORT)
 ENDIF()
 
@@ -190,22 +175,28 @@
     SET(USE_QT_LIBRARIES ${USE_QT_LIBRARIES} "DBus")
 ENDIF()
 
-FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    FIND_PACKAGE(Qt6 COMPONENTS ${USE_QT_LIBRARIES} REQUIRED)
+ELSE()
+    FIND_PACKAGE(Qt5 REQUIRED ${USE_QT_LIBRARIES})
+ENDIF()
 SET(QT_LUPDATE_EXECUTABLE ${Qt5_LUPDATE_EXECUTABLE})
-# from QT 5.4.0 Changelog
-# The Qt binary packages are now configured with C++11 enabled.
-# this requires your gcc compiler newer than 4.8.1 or clang newer than 3.3
-
-if (CYGWIN OR MINGW)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
-else()
+# From QT 6 Changelog
+# The Qt binary packages are now configured with C++17 enabled.
+IF(QT_VERSION_MAJOR EQUAL 6)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
+ELSE()
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-endif()
+ENDIF()
 
 # for OS X, we requires libc++ instead
 if (APPLE)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-    SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
+    IF(QT_VERSION_MAJOR EQUAL 6)
+        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++17")
+    ELSE()
+        SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11")
+    ENDIF()
     SET(CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++")
 endif()
 
@@ -338,13 +329,31 @@
   third_party/QtAwesome/QtAwesome.qrc
 )
 
-QT5_WRAP_UI(ui_output ${ui_files})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_WRAP_UI(ui_output ${ui_files})
+ELSE()
+    QT5_WRAP_UI(ui_output ${ui_files})
+ENDIF()
+
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_WRAP_UI(ui_output ${ui_files})
+ELSE()
+    QT5_WRAP_UI(ui_output ${ui_files})
+ENDIF()
 
 # meta object compliation(moc)
-QT5_WRAP_CPP(moc_output ${moc_headers})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_WRAP_CPP(moc_output ${moc_headers})
+ELSE()
+    QT5_WRAP_CPP(moc_output ${moc_headers})
+ENDIF()
 
 # resources files
-QT5_ADD_RESOURCES(resources_ouput ${qrc_files})
+IF(QT_VERSION_MAJOR EQUAL 6)
+    QT6_ADD_RESOURCES(resources_ouput ${qrc_files})
+ELSE()
+    QT5_ADD_RESOURCES(resources_ouput ${qrc_files})
+ENDIF()
 
 # MESSAGE("moc output: ${moc_output}")
 # MESSAGE("ui output: ${ui_output}")
@@ -357,3 +366,7 @@
 ###### BEGIN: pthread support is required explicitly on linux
 ####################
 
+IF(NOT APPLE)
+  SET(CMAKE_THREAD_PREFER_PTHREAD ON)
+  INCLUDE(FindThreads)
+  LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
