=== debian/changelog ===
seafile-client (8.0.6+ds1-2) unstable; urgency=medium

  * Set source-Upstream-Version to the *actual* upstream version
    without repack suffix (Closes: #1008826)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 04 Apr 2022 11:42:59 +0200

seafile-client (8.0.6+ds1-1) unstable; urgency=medium

  * Prepare watch file with repack suffix for next time
  * New upstream version 8.0.6+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 31 Mar 2022 08:46:45 +0200
