=== debian/control ===
--- 
+++ 
@@ -33,9 +33,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libsearpc1 (>= 3.2.0),
- libseafile0 (>= ${source:Upstream-Version}),
- seafile-daemon (>= ${source:Upstream-Version}),
-Suggests: seafile-cli (>= ${source:Upstream-Version})
+ libseafile0 (>= ${source-Upstream-Version}),
+ seafile-daemon (>= ${source-Upstream-Version}),
+Suggests: seafile-cli (>= ${source-Upstream-Version})
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
