=== debian/changelog ===
seafile-client (8.0.7+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.7
  * Bump libsearpc dependency

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 03 May 2022 22:15:44 +0200
