=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libjansson-dev,
  libquazip5-dev,
  libseafile-dev (>= 8.0.3),
- libsearpc-dev (>= 3.2.0),
+ libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libsqlite3-dev,
  libssl-dev,
  libtool,
@@ -32,7 +32,7 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libsearpc1 (>= 3.2.0),
+ libsearpc1 (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libseafile0 (>= ${source-Upstream-Version}),
  seafile-daemon (>= ${source-Upstream-Version}),
 Suggests: seafile-cli (>= ${source-Upstream-Version})
