=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -16,8 +19,6 @@
 export QT_SELECT=5
 
 CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
-
-include /usr/share/dpkg/architecture.mk
 
 ifeq ($(DEB_HOST_ARCH),armel)
  CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON
@@ -50,3 +51,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_FLAGS)
+
+override_dh_gencontrol:
+	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
+	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%)
