=== debian/changelog ===
seafile-client (8.0.8+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.8+ds1
  * Always build against WebKit (Closes: #1016477)
  * Avoid explicitly specifying -Wl,--as-needed linker flag

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 03 Aug 2022 08:53:47 +0200
