=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
  qtchooser,
  qttools5-dev,
  qttools5-dev-tools,
- qtwebengine5-dev [!armel !mips !mips64el !ppc64el !s390x !alpha !hppa !m68k !powerpc !ppc64 !sh4 !sparc64],
- libqt5webkit5-dev [armel mips mips64el ppc64el s390x alpha hppa m68k powerpc ppc64 sh4 sparc64],
+ libqt5webkit5-dev,
  uuid-dev,
 Standards-Version: 4.6.0
 Homepage: https://seafile.com
