=== debian/changelog ===
seafile-client (8.0.9+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.9+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 24 Nov 2022 15:01:08 +0100
