=== debian/changelog ===
seafile-client (8.0.10+ds1-2) unstable; urgency=medium

  * Use help2man to generate man page for seafile-applet

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 17 Feb 2023 11:04:08 +0100

seafile-client (8.0.10+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.10+ds1
  * Bump Standards-Version
  * Add patch to fix cmake

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 30 Dec 2022 10:46:41 +0100
