=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ help2man,
  intltool,
  libcurl4-openssl-dev,
  libevent-dev,
@@ -23,7 +24,7 @@
  qttools5-dev-tools,
  libqt5webkit5-dev,
  uuid-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git
